Get Thread
Fetch a single conversation thread with its messages.
curl --request GET \
--url https://api.topo.io/v1/threads/{thread_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/threads/{thread_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"thread_id": "<string>",
"subject": "<string>",
"channel": "EMAIL",
"total_message_count": 123,
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"sequence_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence_template_name": "<string>",
"lead_status": "ACTIVE",
"messages": []
}messages:read scope on the API key.Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the thread.
Query Parameters
How many of the most recent messages to return.
1 <= x <= 50Response
Successful Response
Unique thread identifier.
Subject line of the conversation thread.
Communication channel (EMAIL or LINKEDIN).
EMAIL, LINKEDIN, CALENDAR, MANUAL Total count of messages in the thread.
Contact associated with the thread.
Name of the contact.
Sequence template associated with the thread.
Name of the sequence template.
Current status of the enrolled lead.
ACTIVE, SUCCEEDED, FAILED, COMPLETED, WAITING_FOR_LEAD, WAITING_FOR_USER, STOPPED_EARLY, FOUND, REFUSED Most recent messages in the thread, oldest first.
Hide child attributes
Hide child attributes
Unique message identifier.
Direction of the message (INBOUND or OUTBOUND).
INBOUND, OUTBOUND When the message was sent.
Body text of the message.
Sender name or email.
Categorization of the reply.
MEETING, INTERESTED, BAD_TIMING, REFERRAL, WRONG_PERSON, LEFT_COMPANY, OUT_OF_OFFICE, SPAM_FILTER, UNKNOWN, NOT_INTERESTED, UNSUBSCRIBED, BOUNCED Was this page helpful?
curl --request GET \
--url https://api.topo.io/v1/threads/{thread_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/threads/{thread_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"thread_id": "<string>",
"subject": "<string>",
"channel": "EMAIL",
"total_message_count": 123,
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"sequence_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence_template_name": "<string>",
"lead_status": "ACTIVE",
"messages": []
}